Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.db
Interface DbConnector

All Known Implementing Classes:
  DbConnectorImpl

public interface DbConnector

Connector interface for the database eWay.

Method Summary
`void` | `close()` Requests the DbConnector to close a connection and release all the necessary resources.
`void` | `commit()` Commits a transaction for the connection.
`java.lang.Object` | `connInvoke(java.lang.String methodName, java.lang.Class[] argsCls, java.lang.Object[] args)` Invokes a method of the database `Connection` object of this ETD.
`boolean` | `getAutoCommit()` Gets the AutoCommit mode of the connection.
`java.lang.String` | `getCatalog()` Gets the catalog name of the connection.
`java.sql.Connection` | `getConnection()` Get the database `Connection` object of this ETD.
`StatementAgent` | `getInstance(java.lang.Class clsAgent)` Gets an instance of the named StaementAgent.
`StatementAgent` | `getInstance(java.lang.Class clsAgent, int iScroll, int iConcur)` Gets an instance of the named StaementAgent with the specified resultset and concurrency types.
`int` | `getTransactionIsolation()` Gets the transaction isolation level for the connection.
`void` | `init(javax.sql.DataSource ds, java.util.Properties props)` Initialize DbConnector
`boolean` | `isConnected()` Returns the connection status.
`boolean` | `isOpen()` Checks if the DbConnector has a open connection.
`void` | `open(javax.sql.DataSource ds, java.util.Properties props)` Requests the DbConnector object to open a connection and allocate necessary resources.
`void` | `release()` Releases all the DbConnector resources.
`void` | `requestReset()` Receives a request to reset the data content of the DB ETD.
`void` | `rollback()` Rollbacks a transaction for the connection.
`void` | `setAutoCommit(boolean bAuto)` Sets the AutoCommit mode of the connection.
`void` | `setCatalog(java.lang.String sCatalog)` Sets the catalog name of the connection.
`void` | `setConcurrencyToReadOnly()` Set concurrency type of the session to read only.
`void` | `setConcurrencyToUpdatable()` Set concurrency type of the session to updatable.
`void` | `setScrollTypeToForwardOnly()` Set result set type of the session to be forward only.
`void` | `setScrollTypeToScrollInsensitive()` Set result set type of the session to be insensitive.
`void` | `setScrollTypeToScrollSensitive()` Set result set type of the session to be sensitive.
`void` | `setTransactionIsolation(int iLevel)` Sets the transaction isolation level for the connection.

Method Detail

### close

    public void close()
               throws java.sql.SQLException

  Requests the DbConnector to close a connection and release all the necessary resources.

  Parameters:
    None.

  Returns:
    `void` - None.
  Throws:
    `java.sql.SQLException` - when encountering any error in closing a connection.

### commit

    public void commit()
                throws java.sql.SQLException

  Commits a transaction for the connection. All data changes will be permanent.

  Parameters:
    None.

  Returns:
    `void` - None.
  Throws:
    `java.sql.SQLException` - if there is any problem in commiting a transaction.

### connInvoke

    public java.lang.Object connInvoke(java.lang.String methodName,
                                       java.lang.Class[] argsCls,
                                       java.lang.Object[] args)
                                throws java.sql.SQLException

  Invokes a method of the database `Connection` object of this ETD.

  Parameters:
    `methodName` - the name of the method
    `argsCls` - `Class` array for types of formal arguments for method, in the declared order. Can be `null` if there are no formal arguments. However, cannot invoke constructor here.
    `args` - `Object` array of formal arguments for method in the declared order. Can be `null` if there are no formal arguments. However, cannot invoke constructor here.
  Returns:
    the `Object` instance resulting from the method invocation. Can be `null` if nothing is returned (`void` return declaration).
  Throws:
    `java.sql.SQLException` - whatever exception the invoked method throws.

### getAutoCommit

    public boolean getAutoCommit()
                          throws java.sql.SQLException

  Gets the AutoCommit mode of the connection.

  Parameters:
    None.

  Returns:
    true if the Autocommit mode is true; false otherwise.
  Throws:
    `java.sql.SQLException` - if there is any error in getting the AutoCommit mode from the database.

### getCatalog

    public java.lang.String getCatalog()
                                throws java.sql.SQLException

  Gets the catalog name of the connection.

  Parameters:
    None.

  Returns:
    the catalog name.
  Throws:
    `java.sql.SQLException` - if there is any problem in getting the catalog name.

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Get the database `Connection` object of this ETD.

  Parameters:
    None.

  Returns:
    the database `Connection` object of this ETD.
  Throws:
    `java.sql.SQLException` - owing to connection retrieval.

### getInstance

    public StatementAgent getInstance(java.lang.Class clsAgent)
                               throws java.sql.SQLException

  Gets an instance of the named StaementAgent. Only one instance of this class will be created. The same instance will be retrieved if it has been created.

  Parameters:
    `clsAgent` - the class of the StatementAgent.
  Returns:
    the named StatementAgent instance.
  Throws:
    None.
  Throws:
    `java.sql.SQLException` - if it encounters errors in instantiating the named class.

### getInstance

    public StatementAgent getInstance(java.lang.Class clsAgent,
                                      int iScroll,
                                      int iConcur)
                               throws java.sql.SQLException

  Gets an instance of the named StaementAgent with the specified resultset and concurrency types. Only one instance of this class will be created. The same instance will be retrieved if it has been created.

  Parameters:
    `clsAgent` - the class of the StatementAgent.
    `iScroll` - resultset type; TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE
    `iConcur` - concurrency type; CONCUR_READ_ONLY, CONCUR_UPDATABLE
  Returns:
    the named StatementAgent instance.
  Throws:
    `java.sql.SQLException` - if it encounters errors in instantiating the named class.

### getTransactionIsolation

    public int getTransactionIsolation()
                                throws java.sql.SQLException

  Gets the transaction isolation level for the connection.

  Parameters:
    None.

  Returns:
    the transaction isolation level: TRANSACTION_NONE, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_READ_COMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE.
  Throws:
    `java.sql.SQLException` - if there is any error in getting the transaction isolation level.

### init

    public void init(javax.sql.DataSource ds,
                     java.util.Properties props)
              throws java.sql.SQLException

  Initialize DbConnector

  Parameters:
    `ds` - a DataSource object used to establish connection.
    `props` - a property object which consists of connecton information.
  Returns:
    `void` - None.
  Throws:
    `java.sql.SQLException` - owing to session creation.

### isConnected

    public boolean isConnected()

  Returns the connection status.

  Parameters:
    None.

  Returns:
    True if connection is broken or not established; false otherwise.
  Throws:
    None.

### isOpen

    public boolean isOpen()
                   throws java.sql.SQLException

  Checks if the DbConnector has a open connection.

  Parameters:
    None.

  Returns:
    true if the connection is still operating; false otherwise.
  Throws:
    `java.sql.SQLException` - if errors are encountered during connection checking.

### open

    public void open(javax.sql.DataSource ds,
                     java.util.Properties props)
              throws java.sql.SQLException

  Requests the DbConnector object to open a connection and allocate necessary resources.

  Parameters:
    `ds` - a DataSource object used to establish connection.
    `props` - a property object which consists of connecton information.
  Returns:
    `void` - None.
  Throws:
    `java.sql.SQLException` - owing to opening a connection.

### release

    public void release()

  Releases all the DbConnector resources.

  Parameters:
    None.

  Returns:
    `void` - None.
  Throws:
    None.

### requestReset

    public void requestReset()

  Receives a request to reset the data content of the DB ETD.

  Parameters:
    None.

  Returns:
    `void` - None.
  Throws:
    None.

### rollback

    public void rollback()
                  throws java.sql.SQLException

  Rollbacks a transaction for the connection. All data changes will be cleared.

  Parameters:
    None.

  Returns:
    `void` - None.
  Throws:
    `java.sql.SQLException` - if there is any problem in rolling back a transaction.

### setAutoCommit

    public void setAutoCommit(boolean bAuto)
                       throws java.sql.SQLException

  Sets the AutoCommit mode of the connection.

  Parameters:
    `bAuto` - a true value will set the connection to be in AutoCommit mode; false otherwise.
  Returns:
    `void` - None.
  Throws:
    `java.sql.SQLException` - if there is any problem in setting the AutoCommit mode.

### setCatalog

    public void setCatalog(java.lang.String sCatalog)
                    throws java.sql.SQLException

  Sets the catalog name of the connection.

  Parameters:
    `sCatalog` - the desired catalog name.
  Returns:
    `void` - None.
  Throws:
    `java.sql.SQLException` - if there is any problem in setting the catalog name.

### setConcurrencyToReadOnly

    public void setConcurrencyToReadOnly()
                                  throws java.sql.SQLException

  Set concurrency type of the session to read only.

  Parameters:
    None.

  Returns:
    `void` - None.
  Throws:
    `java.sql.SQLException` - if there is any problem in setting concurrency type.

### setConcurrencyToUpdatable

    public void setConcurrencyToUpdatable()
                                   throws java.sql.SQLException

  Set concurrency type of the session to updatable.

  Parameters:
    None.

  Returns:
    `void` - None.
  Throws:
    `java.sql.SQLException` - if there is any problem in setting concurrency type.

### setScrollTypeToForwardOnly

    public void setScrollTypeToForwardOnly()
                                    throws java.sql.SQLException

  Set result set type of the session to be forward only.

  Parameters:
    None.

  Returns:
    `void` - None.
  Throws:
    `java.sql.SQLException` - if there is any problem in setting scroll type.

### setScrollTypeToScrollInsensitive

    public void setScrollTypeToScrollInsensitive()
                                          throws java.sql.SQLException

  Set result set type of the session to be insensitive.

  Parameters:
    None.

  Returns:
    `void` - None.
  Throws:
    `java.sql.SQLException` - if there is any problem in setting scroll type.

### setScrollTypeToScrollSensitive

    public void setScrollTypeToScrollSensitive()
                                        throws java.sql.SQLException

  Set result set type of the session to be sensitive.

  Parameters:
    None.

  Returns:
    `void` - None.
  Throws:
    `java.sql.SQLException` - if there is any problem in setting scroll type.

### setTransactionIsolation

    public void setTransactionIsolation(int iLevel)
                                 throws java.sql.SQLException

  Sets the transaction isolation level for the connection.

  Parameters:
    `iLevel` - a transaction isolation value: TRANSACTION_NONE, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_READ_COMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE.
  Returns:
    `void` - None.
  Throws:
    `java.sql.SQLException` - if there is any problem in setting the transaction isolation level.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2006 by Sun Microsystems, Inc. All Rights Reserved.